Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78932 - can not print banner page
Summary: can not print banner page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: LPRng
Version: 2.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-03 19:06 UTC by Need Real Name
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-12-08 14:17:32 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Need Real Name 2002-12-03 19:06:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
I editted lpd.conf to uncomment the following
# Purpose: always print banner, ignore lpr -h option
   default ab@ (FLAG off)
but still could not print a banner

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. print something
2.
3.
	

Actual Results:  printed output without a banner page

Additional info:

Comment 1 Tim Waugh 2002-12-23 12:25:08 UTC
Did you put 'ab' on a line on its own?

Comment 2 Need Real Name 2003-01-06 14:11:01 UTC
Yes - it was on it's own line - see below
You can call me at 202-502-2739 if you need more info.


# lpd.conf
# VERSION=3.7.4
# lpd.conf generated from  on Thu May 16 07:55:09 EDT 2002
#   The values in this file are the default values.
#   If you modify the file,  set the value to something other 
than the default
#   For example,
#     # default force_localhost
#   means the 'force_localhost' option default value is on or 1
#   To set it to OFF or 0, change this to read:
#     force_localhost@

# Purpose: always print banner, ignore lpr -h option
   default ab@ (FLAG off

Comment 3 Tim Waugh 2003-01-06 14:35:22 UTC
The line need to be *exactly*:

ab

with nothing else on it at all.  No 'default', and definitely not '@' (which
inverts its meaning..).


Comment 4 Need Real Name 2003-01-06 19:06:34 UTC
I still got no banner with the following. Does the computer need 
to be rebooted after the change or will the change take place 
immediately?
------------------------------
[root@woodstock etc]# head -20 lpd.conf
# lpd.conf
# VERSION=3.7.4
# lpd.conf generated from  on Thu May 16 07:55:09 EDT 2002
#   The values in this file are the default values.
#   If you modify the file,  set the value to something other 
than the default
#   For example,
#     # default force_localhost
#   means the 'force_localhost' option default value is on or 1
#   To set it to OFF or 0, change this to read:
#     force_localhost@

# Purpose: always print banner, ignore lpr -h option
ab
# Purpose: query accounting server when connected
#   default achk@ (FLAG off)
# Purpose: accounting at end (see also af, la, ar, as)
#   default ae=jobend $H $n $P $k $b $t  (STRING)
# Purpose: name of accounting file (see also la, ar)
#   default af=acct  (STRING)
# Purpose: automatically hold all jobs
[root@woodstock etc]#

Note: I also tried the follwing without any luck.

[root@woodstock etc]# service lpd restart
Stopping lpd:                                              [  OK 
 ]
Starting lpd:                                              [  OK 
 ]
[root@woodstock etc]#


Comment 5 Tim Waugh 2004-12-08 14:09:16 UTC
"service lpd restart" ought to have been enough.

Did you ever get banner pages printing?

Comment 6 Need Real Name 2004-12-08 14:16:48 UTC
Remove me from this bug. We have migrated to RH 3.0.


Note You need to log in before you can comment on or make changes to this bug.